Jump to content

IPS Community Suite 4.1.15

Date Release 09/20/2016


Download IPS 4.1.15 Retail

Download IPS 4.1.15 Nulled

Get Support

PS: after the download archive, rename


Key Changes

This is a maintenance release to fix known bugs and also includes many performance improvements to search and activity streams.

Commerce Customer Standing Data now loads via AJAX for faster loading
DailyMotion now supported as an oEmbed provider (courtesy of CMW Jr. SICM)
Lots of Commerce related bug fixes
Passwords on new hosting accounts are now more secure
REST API now supports adding Staff Notes to support requests
REST API now supports editing purchases

Release Patches

We sometimes release patches for issues that come up frequently between full releases. If you are experiencing any of the issues below on this version you can download and apply the patches using the instructions provided.

Deleting topics does not update the forum last post information

You may notice that deleting the last posted topic in a forum does not update the forum's "Latest Post" information correctly. To resolve this issue, apply the patch attached to this article to your site.

Please be aware that this patch is not retroactive and will not "rebuild" your forum last post information. The information will update automatically as users post in the forums or moderation actions are taken in the forums.

system/Content/Item.php

Members I follow stream is incorrect; user's profile stream incorrect

You may not get a correct set of results for the Members I Follow stream and the latest activity panel on a user's profile.

system/Content/Search/Mysql/Query.php

Record Reviews broken

Reviewing a Pages article can fail.

applications/cms/Application.php

Marking an invoice paid results in PHP error

When marking an invoice as paid in Commerce, you may encounter the following PHP error: Call to a member function add() on integer (0)

applications/nexus/sources/Invoice/Invoice.php

Unable to send a private messages

In certain cases you may find that you are unable to send a private message in 4.1.15.

applications/core/sources/Messenger/Conversation.php

Payments via Stripe may fail

Processing payments via Stripe in Commerce may fail with the following error:

"Stripe no longer supports API requests made with TLS 1.0. Please initiate HTTPS connections with TLS 1.2 or later. You can learn more about this athttps://stripe.com/blog/upgrading-tls."

stripe_patch.zip

Additional Information

  • CKEditor updated to 4.5.11
  • Customer Information form in Commerce's client area is now hookable



×